## sword 1.7.3+dfsg

=== CMakeLists.txt ===
# TODO: write FindICU (icu-config only for 2.2 and up) -- currently taken from another CMake system
#       limit pkg-config version to >= 0.14, demo, utilities, doc, tests
#
# NOTES: Defaults to build type of Shared
#        Forces out-of-source tree build
#        
#
# This file started on 18 January 2010 by Gregory Hellings
# It is ceded to The SWORD Library developers and CrossWire under the terms
# of their own GPLv2 license and all copyright is transferred to them for
# all posterity and eternity, wherever such transfer is possible.  Where it is
# not, then this file is released under the GPLv2 by myself.
#
#
# A CMake port of the SWORD build system... we hope
PROJECT(libsword CXX C)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)
SET(SWORD_VERSION 1.7.3)

# Make sure it's an out-of-stream build
IF(${CMAKE_CURRENT_BINARY_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
	MESSAGE(FATAL_ERROR "Please invoke CMake from a different directory than the source.")
ENDIF(${CMAKE_CURRENT_BINARY_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})

MESSAGE(STATUS "Configuring your system to build libsword.")

###########################################################################################
# Here are some basic CMake variables we need to setup in order for things to work properly
#
# Our include directory, for our own internally created "FIND_PACKAGE" calls, like CLucene
SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
# User options
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/options.cmake")
# Source variables
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/sources.cmake")
# Our local includes
INCLUDE_DIRECTORIES("${CMAKE_CURRENT_BINARY_DIR}/include") # For swversion.h
INCLUDE_DIRECTORIES("${CMAKE_CURRENT_SOURCE_DIR}/include") # For everything else

###########################################################################################
# This will look for various libraries that libsword builds against.  There is no REQUIRED
# attribute added here, since all of the libraries here are not, in actuality, required.
#
MESSAGE(STATUS "\n-- SEARCHING FOR SYTEM PACKAGES")
# Find our packages
FIND_PACKAGE(ZLIB QUIET)
FIND_PACKAGE(ICU QUIET)
FIND_PACKAGE(CURL QUIET)
FIND_PACKAGE(CLucene QUIET)
FIND_PACKAGE(PkgConfig QUIET)
FIND_PACKAGE(Regex QUIET)

###########################################################################################
# Based on user input and the results of the above tests, we may need to mux with the source
# files to use an internal version of ZLib, cURL-like stuff, or CLucene replacements.  These
# lines below will modify the source files directories so that the required files are only
# included if the option is needed.
#
# Modify the source variables and set necessary definitions, this is a rather long segment,
# so I have sorted it out into its own file
INCLUDE(${CMAKE_CURRENT_SOURCE_DIR}/cmake/muxsources.cmake)

################################################################################################
# This actually creates the build target that is the libsword building target to be generated.
# Most of the work for configuration is done above, already.
#
# I want to do this manually, there might be reason in the future
IF(LIBSWORD_LIBRARY_TYPE MATCHES ".*Shared.*" OR NOT LIBSWORD_LIBRARY_TYPE)
	ADD_LIBRARY(sword SHARED ${sword_SOURCES})
	MESSAGE(STATUS "Building Shared library.")
	SET(BUILDING_SHARED 1)
	SET(SWORD_LINK_NAME sword)
ENDIF(LIBSWORD_LIBRARY_TYPE MATCHES ".*Shared.*" OR NOT LIBSWORD_LIBRARY_TYPE)

IF(LIBSWORD_LIBRARY_TYPE MATCHES ".*Static.*" OR NOT LIBSWORD_LIBRARY_TYPE)
	ADD_LIBRARY(sword_static STATIC ${sword_SOURCES})
	SET_TARGET_PROPERTIES(sword_static PROPERTIES COMPILE_FLAGS "-fPIC")
	SET(BUILDING_STATIC 1)
	# Defaults to linking against the shared if it is also being built
	IF(NOT BUILDING_SHARED)
		SET(SWORD_LINK_NAME sword_static)
	ENDIF(NOT BUILDING_SHARED)
	# With MSVC, the .dll files also create .lib files of the same name
	# with the exported symbols.  Thus, we don't want the two to have the
	# same exact name.  In other systems, the .a and .so suffixes suffice
	# to keep them separate
	IF(NOT MSVC OR NOT LIBSWORD_LIBRARY_TYPE MATCHES ".*Shared.*")
		SET_TARGET_PROPERTIES(sword_static PROPERTIES 
			OUTPUT_NAME "sword")
		#MESSAGE(STATUS "Building Static library with name sword")
	ELSE(NOT MSVC OR NOT LIBSWORD_LIBRARY_TYPE MATCHES ".*Shared.*")
		#MESSAGE(STATUS "Building Static library with name
		#sword_static")
	ENDIF(NOT MSVC OR NOT LIBSWORD_LIBRARY_TYPE MATCHES ".*Shared.*")
	MESSAGE(STATUS "Building Static library.")
ENDIF(LIBSWORD_LIBRARY_TYPE MATCHES ".*Static.*" OR NOT LIBSWORD_LIBRARY_TYPE)

################################################################################################
# Some random user settings
#

IF(NOT SWORD_GLOBAL_CONF_DIR STREQUAL "")
	ADD_DEFINITIONS(-DGLOBCONFPATH="${SWORD_GLOBAL_CONF_DIR}/sword.conf")
ENDIF(NOT SWORD_GLOBAL_CONF_DIR STREQUAL "")


###############################################################################################
# This allows the user to set a SONAME for the library.  This allows packagers and those who
# care about that sort of thing to be happy and have all their SONAMES set properly.
#
IF(NOT LIBSWORD_SOVERSION AND BUILDING_SHARED)
        SET(SWORD_SOVERSION ${SWORD_VERSION})
ELSE(NOT LIBSWORD_SOVERSION AND BUILDING_SHARED)
        SET(SWORD_SOVERSION ${LIBSWORD_SOVERSION})
ENDIF(NOT LIBSWORD_SOVERSION AND BUILDING_SHARED)

IF(BUILDING_SHARED)
	SET_TARGET_PROPERTIES(sword
		PROPERTIES SOVERSION ${SWORD_SOVERSION})
	MESSAGE(STATUS "Setting SOVERSION to ${SWORD_SOVERSION}")
ENDIF(BUILDING_SHARED)

###############################################################################################
# The buildflags depend on the CMAKE_BUILD_TYPE supplied at the command line.
# For a full lists of different flags see http://cmake.org/Wiki/CMake_Useful_Variables
#
# Cmake has sane defaults for None aka '', DEBUG, RELEASE, RELWITHDEBINFO for known compilers.
#
# You can override these variables on the command-line or here.
# We provide our own defaults below
#
# Note the below two initialisations done for us by cmake:
#
#SET(CMAKE_C_FLAGS                  "${CMAKE_C_FLAGS}"   or "$ENV{CFLAGS}" or "" )
#SET(CMAKE_CXX_FLAGS                "${CMAKE_CXX_FLAGS}" or "$ENV{CXXFLAGS}" or "" )

IF(SWORD_ENABLE_WARNINGS STREQUAL "Yes")
	SET(CMAKE_C_FLAGS "-Werror ${CMAKE_C_FLAGS}")
	SET(CMAKE_CXX_FLAGS "-Werror ${CMAKE_CXX_FLAGS}")
ENDIF(SWORD_ENABLE_WARNINGS STREQUAL "Yes")

IF(SWORD_ENABLE_PROFILE STREQUAL "Yes")
	SET(CMAKE_C_FLAGS   "-pg ${CMAKE_C_FLAGS}")
	SET(CMAKE_CXX_FLAGS "-pg ${CMAKE_CXX_FLAGS}")
ENDIF(SWORD_ENABLE_PROFILE STREQUAL "Yes")

IF(SWORD_ENABLE_PROFILEFN STREQUAL "Yes")
	SET(CMAKE_C_FLAGS   "-g -finstrument-functions ${CMAKE_C_FLAGS}")
	SET(CMAKE_CXX_FLAGS "-g -finstrument-functions ${CMAKE_CXX_FLAGS}")
	TARGET_LINK_LIBRARIES(libsword fnccheck)
ENDIF(SWORD_ENABLE_PROFILEFN STREQUAL "Yes")

SET(CMAKE_C_FLAGS_DEBUG            "-g3 -Wall -O0 ${CMAKE_C_FLAGS}")
SET(CMAKE_C_FLAGS_RELEASE          "-O3 ${CMAKE_C_FLAGS}")
SET(CMAKE_C_FLAGS_RELWITHDEBINFO   "-O3 -g ${CMAKE_C_FLAGS}")
SET(CMAKE_CXX_FLAGS_DEBUG          "-g3 -Wall -O0 ${CMAKE_CXX_FLAGS}")
SET(CMAKE_CXX_FLAGS_RELEASE        "-O3 ${CMAKE_CXX_FLAGS}")
SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O3 -g ${CMAKE_CXX_FLAGS}")

##############################################################################################
# Setting libraries and includes
#

IF(WITH_ZLIB)
	INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
	SET(SWORD_LINK_LIBRARIES ${SWORD_LINK_LIBRARIES} ${ZLIB_LIBRARY})
ENDIF(WITH_ZLIB)
IF(WITH_CURL)
	FIND_PROGRAM(CURL_CONFIG curl-config
		DOC "The curl-config executable path, used to determine SFTP support.")
	# If we can find the config script, we will run it and attempt to parse out the
	# availability of SFTP support. Otherwise, we will assume the library was built
	# without it.
	IF(CURL_CONFIG)
		EXECUTE_PROCESS(
			COMMAND ${CURL_CONFIG} --protocols
			COMMAND grep SFTP
			COMMAND wc -l
			OUTPUT_VARIABLE CURL_CONFIG_OUTPUT
			OUTPUT_STRIP_TRAILING_WHITESPACE)
		IF(CURL_CONFIG_OUTPUT STREQUAL "1")
			ADD_DEFINITIONS(-DCURLSFTPAVAILABLE)
			MESSAGE(STATUS "cURL SFTP Support: Yes")
		ELSE(CURL_CONFIG_OUTPUT STREQUAL "1")
			MESSAGE(STATUS "cURL SFTP Support: No")
		ENDIF(CURL_CONFIG_OUTPUT STREQUAL "1")
	ENDIF(CURL_CONFIG)
	INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIRS})
	SET(SWORD_LINK_LIBRARIES ${SWORD_LINK_LIBRARIES} ${CURL_LIBRARY})
ENDIF(WITH_CURL)
IF(WITH_CLUCENE)
	INCLUDE_DIRECTORIES(${CLUCENE_INCLUDE_DIR})
	SET(SWORD_LINK_LIBRARIES ${SWORD_LINK_LIBRARIES} ${CLUCENE_LIBRARY})
	LINK_DIRECTORIES(${CLUCENE_LIBRARY_DIR})
	ADD_DEFINITIONS(-DUSELUCENE)
	IF(CLUCENE2)
		ADD_DEFINITIONS(-DCLUCENE2)
	ENDIF(CLUCENE2)
ENDIF(WITH_CLUCENE)
IF(WITH_ICU)
	INCLUDE_DIRECTORIES(${ICU_INCLUDE_DIRS})
	ADD_DEFINITIONS(${ICU_DEFINITIONS})
	SET(SWORD_LINK_LIBRARIES ${SWORD_LINK_LIBRARIES} ${ICU_LIBRARIES} ${ICU_I18N_LIBRARIES})
ENDIF(WITH_ICU)
IF(REGEX_FOUND AND CROSS_COMPILE_MINGW32)
	SET(SWORD_LINK_LIBRARIES ${SWORD_LINK_LIBRARIES} ${REGEX_LIBRARY})
ENDIF(REGEX_FOUND AND CROSS_COMPILE_MINGW32)

IF(BUILDING_SHARED)
	TARGET_LINK_LIBRARIES(sword ${SWORD_LINK_LIBRARIES})
ENDIF(BUILDING_SHARED)

IF(BUILDING_STATIC)
	TARGET_LINK_LIBRARIES(sword_static ${SWORD_LINK_LIBRARIES})
ENDIF(BUILDING_STATIC)

MESSAGE(STATUS "Setting link libraries to ${SWORD_LINK_LIBRARIES}")

##############################################################################################
#########
### TODO: Not sure about these...
#########
##############################################################################################
ADD_DEFINITIONS(-D_FTPLIB_NO_COMPAT)

#############################################################################################
# Platform-specifc bits that I will eventually refactor out into their own files, once I am happy
# with the stuff that is here.
# 
IF(APPLE OR iPhone)
	ADD_DEFINITIONS(-Dunix)
ENDIF(APPLE OR iPhone)

##############################################################################################
# Our build test
#

ADD_EXECUTABLE(buildtest buildtest.cpp)
IF(BUILDING_STATIC)
	TARGET_LINK_LIBRARIES(buildtest sword_static)
ELSE(BUILDING_STATIC)
	TARGET_LINK_LIBRARIES(buildtest sword)
ENDIF(BUILDING_STATIC)

##############################################################################################
# Installing the library, headers, utilies, etc
# 

INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/install.cmake")

##############################################################################################
# Bindings are good, right?
#

IF(NOT SWORD_BINDINGS STREQUAL "" AND SWORD_BINDINGS)
	ADD_SUBDIRECTORY("${CMAKE_CURRENT_SOURCE_DIR}/bindings")
ENDIF(NOT SWORD_BINDINGS STREQUAL "" AND SWORD_BINDINGS)

##############################################################################################
# Utilities are hawt
# 

IF(NOT SWORD_BUILD_UTILS STREQUAL "No")
	ADD_SUBDIRECTORY("${CMAKE_CURRENT_SOURCE_DIR}/utilities")
ENDIF(NOT SWORD_BUILD_UTILS STREQUAL "No")

##############################################################################################
# Demos are also hawt
# 

IF(SWORD_BUILD_EXAMPLES STREQUAL "Yes")
	ADD_SUBDIRECTORY("${CMAKE_CURRENT_SOURCE_DIR}/examples/cmdline")
	ADD_SUBDIRECTORY("${CMAKE_CURRENT_SOURCE_DIR}/examples/tasks")
ENDIF(SWORD_BUILD_EXAMPLES STREQUAL "Yes")

##############################################################################################
# Tests, however, are not

IF(SWORD_BUILD_TESTS STREQUAL "Yes")
	ADD_SUBDIRECTORY("${CMAKE_CURRENT_SOURCE_DIR}/tests")
ENDIF(SWORD_BUILD_TESTS STREQUAL "Yes")

=== bindings/CMakeLists.txt ===
IF(SWORD_BINDINGS MATCHES ".*Python.*"
   OR SWORD_BINDINGS MATCHES ".*Perl.*")
	ADD_SUBDIRECTORY("${CMAKE_CURRENT_SOURCE_DIR}/swig")
ENDIF(SWORD_BINDINGS MATCHES ".*Python.*"
      OR SWORD_BINDINGS MATCHES ".*Perl.*")

=== include/Makefile ===

root := ..

all:
	make -C ${root}

=== tests/CMakeLists.txt ===
#########################################################################################
# A test suite - that is awesome.
#
# I should probably learn the proper usage of such things as CTest for this, but for the
# time being, I'll see what I can do.
# 
#
# I need some help deciphering tests/cppunit/Makefile.am.  I'm not quite sure what it is
# trying to do in there.
# Also, the contents of the tests/testsuite directory are slightly beyond my knowledge
# level.  It looks like I can do a very simple interface to this all, but I need to know
# more about how these tests work.
# 

MESSAGE(STATUS "\n-- CONFIGURING LIBRARY TESTS")

SET(test_PROGRAMS
	bibliotest
	casttest
	ciphertest
	complzss
	compnone
	configtest
	filtertest
	introtest
	indextest
	keycast
	keytest
	lextest
	listtest
	localetest
	mgrtest
	modtest
	parsekey
	rawldidxtest
	romantest
	striptest
	swaptest
	swbuftest
	testblocks
	utf8norm
	versekeytest
	vtreekeytest
	versemgrtest
	webiftest
	xmltest
)

IF(WITH_ICU)
	SET(test_PROGRAMS
		${test_PROGRAMS}
		icutest
#		tlitmgrtest
		translittest
	)
ENDIF(WITH_ICU)

IF(WITH_ZLIB OR WITH_INTERNAL_ZLIB)
	SET(test_PROGRAMS
		${test_PROGRAMS}
		compzip
	)
ENDIF(WITH_ZLIB OR WITH_INTERNAL_ZLIB)

FOREACH(TEST ${test_PROGRAMS})
	ADD_EXECUTABLE(${TEST} EXCLUDE_FROM_ALL	${TEST}.cpp)
	IF(BUILDING_SHARED)
		TARGET_LINK_LIBRARIES(${TEST}	sword)
	ELSE(BUILDING_SHARED)
		TARGET_LINK_LIBRARIES(${TEST} sword_static)
	ENDIF(BUILDING_SHARED)
ENDFOREACH(TEST ${test_PROGRAMS})

########################################################################################
# The following tests require extra libraries to run
# 
FOREACH(ICUTEST icutest translittest)
	TARGET_LINK_LIBRARIES(${ICUTEST} ${ICU_LIBRARIES} ${ICU_I18N_LIBRARIES})
ENDFOREACH(ICUTEST icutest translittest)

# Excluded until I know we have the tests working
ADD_SUBDIRECTORY(testsuite)

=== utilities/CMakeLists.txt ===
######################################################################
# Basic utility programs and their joy.
#
# The general assumption is that each of these utilities is built from
# a single source file, which shares its name with the utility itself (appended with .cpp),
# and then linked against the SWORD library.
# 
# This list will be built and installed, if so chosen
#
# These are in alphbetical order now - please keep them that way
# if you edit this list in the future.
# 
SET(install_UTILITIES
	addld
	imp2gbs
	imp2ld
	imp2vs
	installmgr
	mkfastmod
	mod2imp
	mod2osis
	mod2vpl
	tei2mod
	vpl2mod
	vs2osisref
	vs2osisreftxt
	xml2gbs
	osis2mod
)

IF(WITH_ZLIB OR WITH_INTERNAL_ZLIB)
	SET(install_UTILITIES ${install_UTILITIES} mod2zmod)
ENDIF(WITH_ZLIB OR WITH_INTERNAL_ZLIB)

######################################################################
# These utilities will be built, but they will not be installed
# 
# Again, I have gone to great lengths of travail to make this list
# alphabetical.  If you add utilities to this list, please do so in a
# way that maintains this.
SET(noinstall_UTILITIES
	addgb
	addvs
	cipherraw
	emptyvss
	gbfidx
	genbookutil
	modwrite
	step2vpl
	stepdump
	treeidxutil
)

#####################################################################
# This will loop over both of the above utility lists and add build targets
# to the system for each one of them.
# 

FOREACH(UTIL ${install_UTILITIES} ${noinstall_UTILITIES})
	ADD_EXECUTABLE("${UTIL}"	"${UTIL}.cpp")
	IF(BUILDING_SHARED)
		TARGET_LINK_LIBRARIES("${UTIL}" sword)
	ELSE(BUILDING_SHARED)
		TARGET_LINK_LIBRARIES("${UTIL}" sword_static)
	ENDIF(BUILDING_SHARED)
ENDFOREACH(UTIL ${install_UTILITIES})

####################################################################
# Just to be difficult, we have a single C file that is a utility
# and, therefore, needs its own treatment.
# 

ADD_EXECUTABLE(lexdump	lexdump.c)
IF(BUILDING_SHARED)
	TARGET_LINK_LIBRARIES(lexdump sword)
ELSE(BUILDING_SHARED)
	TARGET_LINK_LIBRARIES(lexdump sword_static)
ENDIF(BUILDING_SHARED)

####################################################################
# Install the utilities
#
# We do this here, rather than up in the main install file, because
# a) it fits more logically and b) the scope of ${install_UTILITIES}
# is limited to CMake files in this directory and below, so rather than
# replicate the above list in another place, we'll just handle our
# own install, since this whole directory is optional, anyway.
# 
FOREACH(UTIL ${install_UTILITIES})
	INSTALL(TARGETS ${UTIL}
		DESTINATION ${BINDIR}
		COMPONENT utilities
	)
ENDFOREACH(UTIL ${install_UTILITIES})

####################################################################
# And, of course, diatheke is a beast unto itself
#
# Let's go!
#
ADD_EXECUTABLE(diatheke
	diatheke/diatheke.cpp
	diatheke/corediatheke.cpp
	diatheke/diathekemgr.cpp
	diatheke/diafiltmgr.cpp
	diatheke/thmlcgi.cpp
	diatheke/gbfcgi.cpp
	diatheke/osiscgi.cpp
)
IF(BUILDING_SHARED)
	TARGET_LINK_LIBRARIES(diatheke sword)
ELSE(BUILDING_SHARED)
	TARGET_LINK_LIBRARIES(diatheke sword_static)
ENDIF(BUILDING_SHARED)
INSTALL(TARGETS diatheke
	DESTINATION ${BINDIR}
	COMPONENT utilities
)

=== bindings/swig/CMakeLists.txt ===
#####################################################################################################
#
# A system to, hopefully, build the Sword bindings which are asked for.  Currently I only know and
# therefore only support Python & Perl bindings.  YMMV for it, please submit patches or suggestions.
# I will try to get them integrated into the system if I can.  If there are bindings that you need
# other than the Python|Perl/Swig bindings, then you should probably speak up now.

MESSAGE(STATUS "\n-- CONFIGURING SWIG BINDINGS")
#####################################################################################################
# SWIG
# We need to find the SWIG executable in order to be able to do this, right?
FIND_PACKAGE(SWIG)

IF(NOT SWIG_FOUND)
	MESSAGE(FATAL_ERROR "Swig: no")
ELSE(NOT SWIG_FOUND)
	MESSAGE(STATUS "Swig: yes")
	
	SET(CMAKE_SWIG_FLAGS "-w-451,-402;-shadow;-c++")
	
	MACRO(SWORD_SWIG_GENERATE LANG)
		ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/Sword.cxx
			COMMAND ${SWIG_EXECUTABLE} ${CMAKE_SWIG_FLAGS} -${LANG} -o "${CMAKE_CURRENT_BINARY_DIR}/Sword.cxx"
				"-I${CMAKE_SOURCE_DIR}/bindings/swig" ${SWIG_INCLUDES} "${CMAKE_SOURCE_DIR}/bindings/swig/sword.i"
			WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
	ENDMACRO(SWORD_SWIG_GENERATE)
	
	GET_DIRECTORY_PROPERTY(cmake_include_directories INCLUDE_DIRECTORIES)
	SET(SWIG_INCLUDES)
	FOREACH(directory ${cmake_include_directories})
		SET(SWIG_INCLUDES ${SWIG_INCLUDES} "-I${directory}")
	ENDFOREACH(directory ${cmake_include_directories})
	
	IF(SWORD_BINDINGS MATCHES ".*Python.*")
		ADD_SUBDIRECTORY(python)
	ENDIF(SWORD_BINDINGS MATCHES ".*Python.*")
	
	IF(SWORD_BINDINGS MATCHES ".*Perl.*")
		ADD_SUBDIRECTORY(perl)
	ENDIF(SWORD_BINDINGS MATCHES ".*Perl.*")
ENDIF(NOT SWIG_FOUND)

=== examples/classes/Makefile ===
TARGETS= ciphercng swmgrex verseranges lastVerseInChapter verseposition simplechapter flatapilookup flatapiparsekey flatapisearch
all: $(TARGETS)

clean:
	rm $(TARGETS)

.cpp:
	g++ -O0 -g -Wall -Werror `pkg-config --cflags sword` $< -o $@ `pkg-config --libs sword`
.c:
	gcc -O0 -g -Wall -Werror `pkg-config --cflags sword` $< -o $@ `pkg-config --libs sword` -lstdc++

=== examples/cmdline/CMakeLists.txt ===
##################################################################################
# These are some examples.  If you want examples to be built, you need to define
# SWORD_BUILD_EXAMPLES="Yes".  These will not be installed, so don't worry about
# that.
# 
MESSAGE(STATUS "\n-- CONFIGURING LIBRARY EXAMPLES")
SET(example_PROGRAMS
	listoptions
	lookup
	outplain
	outrender
	search
	verserangeparse
)

FOREACH(DEMO ${example_PROGRAMS})
	ADD_EXECUTABLE("${DEMO}"	"${DEMO}.cpp")
	TARGET_LINK_LIBRARIES("${DEMO}" sword)
ENDFOREACH(DEMO ${example_PROGRAMS})

##################################################################################
# This example uses pthreads explicity.  I don't know if it supports anything else,
# but until I find out, I will force it to find PTHREADS only
# 

FIND_PACKAGE(Threads)

IF(CMAKE_USE_PTHREADS_INIT OR CMAKE_HP_PTHREADS_INIT)
	ADD_EXECUTABLE(threaded_search	threaded_search.cpp)
	TARGET_LINK_LIBRARIES(threaded_search
		sword
		${CMAKE_THREAD_LIBS_INIT}
	)
ENDIF(CMAKE_USE_PTHREADS_INIT OR CMAKE_HP_PTHREADS_INIT)

=== examples/tasks/CMakeLists.txt ===
##################################################################################
# These are some examples.  If you want examples to be built, you need to define
# SWORD_BUILD_EXAMPLES="Yes".  These will not be installed, so don't worry about
# that.
# 
MESSAGE(STATUS "\n-- CONFIGURING LIBRARY EXAMPLES")
SET(example_PROGRAMS
	parallelbibles
)

FOREACH(DEMO ${example_PROGRAMS})
	ADD_EXECUTABLE("${DEMO}"	"${DEMO}.cpp")
	TARGET_LINK_LIBRARIES("${DEMO}" sword)
ENDFOREACH(DEMO ${example_PROGRAMS})

=== bindings/corba/omniorbcpp/Makefile ===
all: server testclient

PREFIX = $(shell grep ^prefix ../../../Makefile|cut -f3 -d' ')

#sword stuff
CXXFLAGS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --cflags sword)
CFLAGS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --cflags sword)
LIBS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --libs sword)

#orbit stuff
CFLAGS += $(shell orbit2-config --cflags)
CFLAGS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --cflags omniORB4)
CXXFLAGS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --cflags omniORB4)
LIBS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --libs omniORB4)

LIBS += -L/usr/lib64 

#comment out for release
#CXXFLAGS += -g -O0
#CFLAGS += -g -O0
#LDFLAGS += -g -O0
#-----------------------------------------------------------------------------


server: server.cpp swordorb-impl.o swordorb-stubs.o 
	$(CXX) $(CXXFLAGS) -I. -o server server.cpp swordorb-impl.o swordorb-stubs.o $(LIBS)

testclient: testclient.cpp swordorb-impl.cpp swordorb-stubs.o 
	$(CXX) $(CXXFLAGS) -I. -o testclient testclient.cpp swordorb-stubs.o $(LIBS)

swordorb-impl.o: swordorb.h swordorb-impl.cpp 
	$(CXX) $(CXXFLAGS) -I. -c swordorb-impl.cpp


swordorb.h: ./../swordorb.idl
	omniidl -bcxx -Wbh=.h -Wbs=-stubs.cpp ./../swordorb.idl

swordorb-stubs.o: swordorb-stubs.cpp
	$(CC) $(CFLAGS) -I. -c swordorb-stubs.cpp

clean:
	rm -f *.h *-stubs.cpp *.cc *.o *.c server testclient

install:
	mkdir -p $(PREFIX)/bin
	cp -f server $(PREFIX)/bin/swordorbserver

=== bindings/csharp/examples/Makefile ===
all: LookupExample.exe

LookupExample.exe: LookupExample.cs
	xbuild LookupExample.csproj /p:Configuration=Release

clean:
	xbuild LookupExample.csproj /p:Configuration=Release /t:Clean

=== bindings/swig/python/CMakeLists.txt ===
# This method works, but there is no established way to do the installation
#FIND_PACKAGE(PythonLibs REQUIRED)
#INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_DIRS})
#
#SET_SOURCE_FILES_PROPERTIES(../sword.i PROPERTIES CPLUSPLUS ON)
#SET_SOURCE_FILES_PROPERTIES(../sword.i PROPERTIES SWIG_FLAGS "")
#
#SWIG_ADD_MODULE(Sword python
#	"../sword.i"
#)
#
#SWIG_LINK_LIBRARIES(Sword ${PYTHON_LIBRARIES} ${SWORD_LINK_NAME})

FIND_PACKAGE(PythonInterp REQUIRED)
FIND_PACKAGE(PythonLibs)

IF(NOT PYTHONLIBS_FOUND)
	MESSAGE(FATAL_ERROR "Failed to locate Python.h header.")
ENDIF(NOT PYTHONLIBS_FOUND)

SET(PY_SCRIPT "#!${PYTHON_EXECUTABLE}

from distutils.core import setup, Extension
setup(name='sword',version='${SWORD_VERSION}',
maintainer='Sword Developers',
maintainer_email='sword-devel@crosswire.org',
url='http://www.crosswire.org/sword',
py_modules=['Sword'],
include_dirs=['${CMAKE_CURRENT_SOURCE_DIR}', '${CMAKE_SOURCE_DIR}/include', '${CMAKE_CURRENT_SOURCE_DIR}/..', '${CMAKE_CURRENT_SOURCE_DIR}../../'],
ext_modules = [Extension('_Sword',['Sword.cxx'],
libraries=[('sword')],
library_dirs=[('${CMAKE_BINARY_DIR}')],
)]
,)"
)

FILE(WRITE ${CMAKE_CURRENT_BINARY_DIR}/setup.py "${PY_SCRIPT}")

SWORD_SWIG_GENERATE(python)

ADD_CUSTOM_TARGET(swordswig ALL
	COMMAND python setup.py build
	DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/Sword.cxx ${SWORD_LINK_NAME}
	WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

# Allow user installation to custom directory
IF(SWORD_PYTHON_INSTALL_DIR)
	SET(SETUP_ARGS "--home=${SWORD_PYTHON_INSTALL_DIR}")
ELSE(SWORD_PYTHON_INSTALL_DIR)
	SET(SETUP_ARGS "--home=${CMAKE_INSTALL_PREFIX}")
ENDIF(SWORD_PYTHON_INSTALL_DIR)
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/install.cmake.in"
	       "${CMAKE_CURRENT_BINARY_DIR}/install.cmake")

# Run external installation script
INSTALL(SCRIPT "${CMAKE_CURRENT_BINARY_DIR}/install.cmake")

MESSAGE(STATUS "Python: yes")

=== debian/changelog ===
sword (1.7.3+dfsg-9.1build2) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:55:45 +0000

sword (1.7.3+dfsg-9.1build1) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2017 15:48:49 +0000

sword (1.7.3+dfsg-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove myself from uploaders.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 09 Jul 2017 17:37:16 +0100

sword (1.7.3+dfsg-9) unstable; urgency=medium

  * d/patches/sword-ppc64.patch: patch to fix ppc64
      thanks to Fernando Seiti Furusato, Closes: #808346
  * d/rules: Update to standards 3.9.8, no changes

 -- Daniel Glassey <wdg@debian.org>  Thu, 08 Sep 2016 09:16:50 -0500

sword (1.7.3+dfsg-8) unstable; urgency=medium

  [ Daniel Glassey ]
  * d/rules: CLucene_FIND_REQUIRED not used

  [ Unit 193 ]
  * d/rules: Drop -Werror, closes: #811602.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 06 Sep 2016 15:16:01 -0400

sword (1.7.3+dfsg-7) unstable; urgency=medium

  * d/rules: default dh_auto_test to actually run the tests
  * add tests/testblocks.cpp to selectively compiling patch

 -- Daniel Glassey <wdg@debian.org>  Wed, 16 Sep 2015 18:36:09 +0100

sword (1.7.3+dfsg-6) unstable; urgency=medium

  * debian/control: add Vcs-Git and Vcs-Browser
  * patch to fix tests to run

 -- Daniel Glassey <wdg@debian.org>  Wed, 16 Sep 2015 11:15:10 +0100

sword (1.7.3+dfsg-5) unstable; urgency=medium

  * Rebuild with correct orig.tar.gz
  * c++ transition, Closes: #796711
  * debian/control: 
      diatheke provides sword-frontend, Closes: #696742

 -- Daniel Glassey <wdg@debian.org>  Mon, 14 Sep 2015 11:45:04 +0100

sword (1.7.3+dfsg-4) unstable; urgency=medium

  * debian/copyright: 
      fix short names of publicdomain licences to not have spaces
      remove 'unknown license' - files are under GPL as with rest of tarball
        unless otherwise specified
  * debian/control: 
      standards version 3.9.6 (no changes)
      Multiarch enable library
      dh-autoreconf build dep
  * debian/rules:
      dh --with autoreconf
      set version for dh_makeshlibs
  * remove debian/libsword-dev.links
  * debian/patches:
      new patch selectively_disable_compiler_warnings.patch
        uses pragmas to disable unused-result warnings
      clean up and remove old patches

 -- Daniel Glassey <wdg@debian.org>  Mon, 14 Sep 2015 08:44:15 +0100

sword (1.7.3+dfsg-3) experimental; urgency=low

  * c++ transition
      rename library to libsword11v5
      blocked by ICU c++ transition
  * add patch abicompare.patch to allow libsword to work with 
      abi-compliance-checker for future transitions

 -- Daniel Glassey <wdg@debian.org>  Wed, 02 Sep 2015 14:15:09 +0100

sword (1.7.3+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 5 (-Wno-error=deprecated-declarations). Closes: #778133.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Jul 2015 16:18:02 +0200

sword (1.7.3+dfsg-2) unstable; urgency=medium

  * Add missing license in debian/copyright. (Closes: 754869)
  * Fix libsword.so symlink in the dev package.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 16 Jul 2014 01:27:30 +0100

sword (1.7.3+dfsg-1) unstable; urgency=medium

  * New upstream release:
  - Bump abi from 10 to 11, all flatapi got renamed with
    org_crosswire_sword_ prefix.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 12 Jul 2014 17:49:01 +0100

sword (1.7.2+dfsg-2) unstable; urgency=medium

  * Correct shared library symlink. (Closes: #747420)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 11 May 2014 22:09:52 +0100

sword (1.7.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * icu translit files are no longer generated, don't install them.
  * drop installing greek transliteration doc.
  * bump abi to 10.
  * switch to debhelper 9.

 -- Dimitri John Ledkov <xnox@debian.org>  Sat, 19 Apr 2014 15:05:09 +0100

=== debian/control ===
Source: sword
Build-Depends: debhelper (>= 9),
               cmake,
               libz-dev,
               pkg-config,
               libcurl4-gnutls-dev,
               libclucene-dev,
               libicu-dev,
               chrpath,
	       perl,
	       dh-autoreconf
Section: libs
Priority: optional
Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
Uploaders: Daniel Glassey <wdg@debian.org>,
 Jonathan Marsden <jmarsden@fastmail.fm>
Standards-Version: 3.9.8
Homepage: http://www.crosswire.org/sword/
Vcs-Git: git://anonscm.debian.org/pkg-crosswire/sword.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-crosswire/sword.git/

Package: libsword11v5
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libsword-common, ${shlibs:Depends}, ${misc:Depends}
Recommends: sword-frontend
Multi-Arch: same
Description: API/library for bible software
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains the core libraries for the project.
 It also contains utilities for generating data modules.
 .
 Please read the README.Debian for more information on how to obtain other
 modules for SWORD.

Package: libsword-dev
Architecture: any
Section: libdevel
Depends: libsword11v5 (= ${binary:Version}), ${misc:Depends}
Recommends: libsword-utils
Multi-Arch: same
Description: Development files for libsword
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains the static libraries and headers for developing 
 applications that use the SWORD library.

Package: libsword-common
Architecture: all
Section: devel
Depends: ${misc:Depends}
Conflicts: libsword6, libsword7, libsword8
Replaces: libsword6, libsword7, libsword8
Multi-Arch: foreign
Description: common settings and module repository for libsword
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains sword configuration and global module repository.

Package: libsword-utils
Architecture: any
Section: devel
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsword6, libsword7, libsword8
Replaces: libsword6, libsword7, libsword8
Description: conversion utilities for bible documents in SWORD supported formats
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains utilities to convert documents in various
 formats into those suitable to be used with SWORD library.

Package: libsword-dbg
Architecture: any
Section: debug
Priority: extra
Multi-Arch: same
Depends: libsword11v5 (= ${binary:Version}), ${misc:Depends}
Description: API/library for bible software - Debug Files
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains the debug symbols for the libsword library.

Package: diatheke
Architecture: any
Section: text
Provides: sword-frontend
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command line bible browsing and search tool
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains a command line utility for SWORD, allowing
 bible browsing and searching. This tool is used mostly only for
 library testing. Nicer front-ends are Xiphos (Gtk), Bibletime (Qt)
 and others.

=== debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE := 1
ppa:=$(shell sed -n "1s/.*~.*/yes/p" debian/changelog)
ver:=$(shell dpkg-parsechangelog | sed -nr "2s/Version: (.*)-.*/\1/p")
bd :=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

WFLAGS   := -Wall
CFLAGS    = $(shell dpkg-buildflags --get CFLAGS) $(WFLAGS)
CXXFLAGS  = $(shell dpkg-buildflags --get CXXFLAGS) $(WFLAGS)

%:
	dh $@ --with autoreconf
override_dh_auto_configure:
	dh_auto_configure -Scmake -- \
	-DCMAKE_LIBRARY_PATH=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-DLIBSWORD_LIBRARY_TYPE="Shared Static" \
	-DLIBSWORD_SOVERSION=11v5 \
	-DSWORD_GLOBAL_CONF_DIR='/etc' \
	-DCMAKE_BUILD_TYPE=NONE \
	-DSWORD_BUILD_TESTS="Yes"
debian/man/%.1: debian/man/%.1.pod
	pod2man --release="SWORD $(ver)" --center "Sword Module Utilities" $< > $@
override_dh_auto_build: $(basename $(wildcard debian/man/*.pod))
	dh_auto_build -Scmake --parallel
override_dh_auto_install:
	dh_auto_install -Scmake
override_dh_install:
	chrpath -d debian/tmp/usr/bin/* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*so*
	dh_install --list-missing
	# Fixes FTBFS if running binary-arch target only
	-chmod -x debian/libsword-common/usr/share/sword/locales.d/*
override_dh_strip:
	dh_strip --dbg-package=libsword-dbg
override_dh_makeshlibs:
	dh_makeshlibs -V 'libsword11v5 (>= 1.7.3+dfsg-3)'
override_dh_clean:
	dh_clean $(patsubst %.pod, %, $(wildcard debian/man/*.pod))

MAKEFILE = $(firstword $(MAKEFILE_LIST))
SOURCE_DIR = $(dir $(MAKEFILE))/..
get-orig-source:
	chmod +x $(SOURCE_DIR)/debian/dfsg.sh
	cd $(SOURCE_DIR) && uscan --force-download --rename --destdir .

override_dh_builddeb:
	dh_builddeb $(if $(ppa),-- -Zlzma)

## sword 1.7.3.1+dfsg

=== bindings/corba/orbitcpp/Makefile ===
all: server testclient

PREFIX = $(shell grep ^prefix ../../../Makefile|cut -f3 -d' ')

#sword stuff
CXXFLAGS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --cflags sword)
CFLAGS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --cflags sword)
LIBS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --libs sword)

#orbit stuff
CFLAGS += $(shell orbit2-config --cflags)
CXXFLAGS += $(shell orbit2-config --cflags)
LIBS += $(shell orbit2-config --libs)

#orbitcpp stuff-- this is silly.  Is there really NOT a way to derive this?
CFLAGS += -I/usr/include/orbitcpp-2.0
CXXFLAGS += -I/usr/include/orbitcpp-2.0
LIBS += -L/usr/lib64 -lORBit-2-cpp

#comment out for release
#CXXFLAGS += -g -O0
#CFLAGS += -g -O0
#LDFLAGS += -g -O0
#-----------------------------------------------------------------------------


server: swordorb-common.o server.cpp swordorb-impl.o swordorb-cpp.o swordorb-cpp-common.o swordorb-stubs.o swordorb-cpp-stubs.o swordorb-cpp-skels.o swordorb-skels.o swordorb-cpp.o
	$(CXX) $(CXXFLAGS) -I. -o server server.cpp swordorb-impl.o swordorb-common.o swordorb-cpp-common.o swordorb-stubs.o swordorb-cpp-stubs.o swordorb-cpp-skels.o swordorb-skels.o $(LIBS)

testclient: testclient.cpp swordorb-impl.cpp swordorb-common.o swordorb-cpp-common.o swordorb-stubs.o swordorb-cpp-stubs.o swordorb-skels.o swordorb-cpp-skels.o
	$(CXX) $(CXXFLAGS) -I. -o testclient testclient.cpp swordorb-common.o swordorb-cpp-common.o swordorb-stubs.o swordorb-cpp-stubs.o swordorb-skels.o swordorb-cpp-skels.o $(LIBS)

swordorb-cpp.o: swordorb-cpp.cc
	$(CXX) $(CXXFLAGS) -I. -c swordorb-cpp.cc

swordorb-impl.o: swordorb-impl.cpp
	$(CXX) $(CXXFLAGS) -I. -c swordorb-impl.cpp

swordorb-common.o: swordorb-common.c
	$(CC) $(CFLAGS) -I. -c swordorb-common.c

swordorb-common.c: ./../swordorb.idl
	orbit-idl-2 -l c ./../swordorb.idl
	orbit-idl-2 -l cpp ./../swordorb.idl

swordorb-cpp-common.o: swordorb-cpp-common.cc
	$(CXX) $(CXXFLAGS) -I. -c swordorb-cpp-common.cc

swordorb-stubs.o: swordorb-stubs.c
	$(CC) $(CFLAGS) -I. -c swordorb-stubs.c

swordorb-cpp-stubs.o: swordorb-cpp-stubs.cc
	$(CXX) $(CXXFLAGS) -I. -c swordorb-cpp-stubs.cc

swordorb-skels.o: swordorb-skels.c
	$(CC) $(CFLAGS) -I. -c swordorb-skels.c

swordorb-cpp-skels.o: swordorb-cpp-skels.cc
	$(CXX) $(CXXFLAGS) -I. -c swordorb-cpp-skels.cc

clean:
	rm -f *.h *.cc *.o *.c server testclient

install:
	mkdir -p $(PREFIX)/bin
	cp -f server $(PREFIX)/bin/swordorbserver

=== debian/changelog ===
sword (1.7.3.1+dfsg-2) unstable; urgency=medium

  * debian/rules: build: ignore: No such file or directory

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 05 Oct 2018 20:46:51 +0200

sword (1.7.3.1+dfsg-1) unstable; urgency=medium

  [ Daniel Glassey ]
  * Imported Upstream version 1.7.3+dfsg

  [ Teus Benschop ]
  * changelog
  * New upstream version 1.7.3.1+dfsg
  * debian/control: Updated maintainer email: Closes: #899906
  * debian/control: Updated Vcs-* for Salsa

 -- Teus Benschop <teusjannette@gmail.com>  Thu, 04 Oct 2018 13:52:16 +0200

sword (1.7.3+dfsg-11) unstable; urgency=medium

  [ Dominique Corbex ]
  * simplifying d/rules

 -- Teus Benschop <teusjannette@gmail.com>  Thu, 04 Oct 2018 13:12:24 +0200

sword (1.7.3+dfsg-10) unstable; urgency=medium

  * d/patches/sword-TEI-images.patch:
      add images support in TEI encoded modules
  * d/patches/emptyvss.patch:
      add emptyvss to libsword-utils
  * d/rules:
      fix lintian info tag: hardening-no-bindnow
      remove empty directory: /usr/share/sword/modules
  * d/control:
      fix lintian info tag: vcs-field-uses-insecure-uri
  * d/patches/fix-misspellings.patch:
      fix spelling errors in sources

 -- Dominique Corbex <dominique@corbex.org>  Mon, 17 Apr 2017 21:58:37 +0200

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,15 @@
 	       dh-autoreconf
 Section: libs
 Priority: optional
-Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
+Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
 Uploaders: Daniel Glassey <wdg@debian.org>,
- Jonathan Marsden <jmarsden@fastmail.fm>
+ Dimitri John Ledkov <xnox@debian.org>,
+ Jonathan Marsden <jmarsden@fastmail.fm>,
+ Dominique Corbex <dominique@corbex.org>
 Standards-Version: 3.9.8
 Homepage: http://www.crosswire.org/sword/
-Vcs-Git: git://anonscm.debian.org/pkg-crosswire/sword.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-crosswire/sword.git/
+Vcs-Browser: https://salsa.debian.org/pkg-crosswire-team/sword
+Vcs-Git: https://salsa.debian.org/pkg-crosswire-team/sword.git
 
 Package: libsword11v5
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 WFLAGS   := -Wall
-CFLAGS    = $(shell dpkg-buildflags --get CFLAGS) $(WFLAGS)
-CXXFLAGS  = $(shell dpkg-buildflags --get CXXFLAGS) $(WFLAGS)
+# Hardening
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@ --with autoreconf
@@ -30,6 +30,8 @@
 	dh_install --list-missing
 	# Fixes FTBFS if running binary-arch target only
 	-chmod -x debian/libsword-common/usr/share/sword/locales.d/*
+	# Remove empty directory: usr/share/sword/modules
+	-rmdir debian/libsword-common/usr/share/sword/modules
 override_dh_strip:
 	dh_strip --dbg-package=libsword-dbg
 override_dh_makeshlibs:

## sword 1.7.4+dfsg

=== debian/changelog ===
sword (1.7.4+dfsg-1) unstable; urgency=high

  * Normalize version to 1.7.4+dfsg

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 26 Oct 2018 14:13:02 +0200

sword (1.7.4-2) unstable; urgency=medium

  * debian/control: update uploaders
  * debian/control: update standards versions
  * debian/control: revert to soname libsword11v5

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 26 Oct 2018 12:54:20 +0200

sword (1.7.4-1) unstable; urgency=high

  * compat 10
  * add current uploader
  * update soname
  * update make_shlibs
  * fix priority-extra-is-replaced-by-priority-optional
  * debian/patches/emptyvss: removed - already applied
  * debian/patches/multiarch: removed - already applied
  * debian/rules: more robust chrpath
  * debian/rules: use autotools
  * patch increase template-depth g++
  * debian/*.install: updated locations
  * new upstream version 1.7.4

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 26 Oct 2018 12:04:19 +0200
